// store/index.js
import Vue from 'vue';
import Vuex from 'vuex';

Vue.use(Vuex);
import {
	getConfigByKey
} from '@/api/index.js'
export default new Vuex.Store({
  state: {
	  coureLogin: uni.getStorageSync('coureLogin') || 0,
	 webviewUrl: '',
	 wsDanmuUrl: 'wss://userapp.cqsft.vip', // 弹幕评论接口地址
	 //红包领取规则:
	 answerType: 1, //红包领取规则 0：完课且最后一分钟（第二次无需最后一分钟）， 1:按完课百分比答题领红包
	 isSpare:1, // 0，主要小程序，1：备选
	 uploadFile: 'https://userapp.cqsft.vip',
	imgpath: 'https://cdhyt-1323137866.cos.ap-chongqing.myqcloud.com',//鹤颜堂图片请求地址
	// https://cdhyt-1383856587.cos.ap-chengdu.myqcloud.com/shop  鹤颜堂图片链接
	logoname:'鹤颜堂',
	appid:'wx0447a16ef6199f03',//晚景如春
	// appid:'wxd61fe671f8b52a81',//鹤颜堂
  },
  getters: {
    coureLogin: (state) => state.coureLogin,
  },
  mutations: {
    setCount(state, value) {
      state.count = value;
    },
    setUserInfo(state, info) {
      state.userInfo = info;
    },
	setWebviewUrl(state, value) {
		state.webviewUrl = value;
	},
	setCoureLogin(state, payload) {
		uni.setStorageSync('coureLogin', payload);
		state.coureLogin = payload;
	}
  },
  actions: {
    fetchUser({ commit }) {
      // const res = await uni.request({ url: '/api/user' });
      commit('setUserInfo', 'noe');
    },
	getWebviewUrl({commit}) {
		var that = this;
		var data = {
			key: 'course.config'
		}
		return new Promise((resolve, reject) => {
			getConfigByKey(data).then(res => {
				if (res.code == 200) {
					console.log("getConfigByKey====", JSON.parse(res.data))
					let data = JSON.parse(res.data)
					commit('setWebviewUrl', data.userCourseAuthDomain);
					resolve()
				}
			}).catch(error => {
				reject(error)
			});
		})
	}
  }
});